CS::RenderManager::StandardPortalSetup_Base::PersistentData Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
CS::RenderManager::StandardPortalSetup_Base::PersistentData Struct Reference

Data used by the helper that needs to persist over multiple frames. More...

`#include <csplugincommon/rendermanager/portalsetup.h>`

List of all members.

## Classes
struct | csBoxClipperCached
| Cache-helper for box clipper caching. More...
struct | PortalBufferConstraint
| GenericCache-constraints for PortalBuffer caching. More...
struct | PortalBuffers
| Cache structure for portal render buffers. More...
## Public Member Functions
void | Initialize (iShaderManager *shmgr, iGraphics3D *g3d, RenderTreeBase::DebugPersistent &dbgPersist)
| Initialize helper.
| PersistentData (int textCachOptions=TextureCache::tcachePowerOfTwo)
| Construct helper.
iTextureHandle * | QueryUnusedTexture (int width, int height, int &real_w, int &real_h)
| Abstracts the usage of the texture cache.
void | UpdateNewFrame ()
| Do per-frame house keeping - MUST be called every frame/ RenderView() execution.

## Detailed Description

Data used by the helper that needs to persist over multiple frames.

Render managers must store an instance of this class and provide it to the helper upon instantiation.

Definition at line 57 of file portalsetup.h.

## Constructor & Destructor Documentation

CS::RenderManager::StandardPortalSetup_Base::PersistentData::PersistentData | ( | int | textCachOptions = `TextureCache::tcachePowerOfTwo` | ) |

Construct helper.

## Member Function Documentation

void CS::RenderManager::StandardPortalSetup_Base::PersistentData::Initialize | ( | iShaderManager * | shmgr,
|  | iGraphics3D * | g3d,
|  | RenderTreeBase::DebugPersistent & | dbgPersist
| ) |  |

Initialize helper.

Fetches various required values from objects in the object registry.

iTextureHandle* CS::RenderManager::StandardPortalSetup_Base::PersistentData::QueryUnusedTexture | ( | int | width,
|  | int | height,
|  | int & | real_w,
|  | int & | real_h
| ) |  | `[inline]`

Abstracts the usage of the texture cache.

Definition at line 147 of file portalsetup.h.

void CS::RenderManager::StandardPortalSetup_Base::PersistentData::UpdateNewFrame | ( |  | ) | `[inline]`

Do per-frame house keeping - MUST be called every frame/ RenderView() execution.

Definition at line 177 of file portalsetup.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/portalsetup.h